---
updatedAt: 2025-11-11T00:10:36.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/v1.1/llms.txt
---

# Account Credit Request

This endpoint receives a request to close an open credit inquiry by performing the credit transaction. The credit inquiry to be closed is contained in the clientRef field or transactionReference field. The transactionAmount to be credited is also included in the request. The request is processed and routed to the destination institution to effect the credit. The credit request is pushed for processing and a response is sent back to the calling application.

**Response Message Description**

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>

      </th>

      <th style={{ textAlign: "left" }}>

      </th>

      <th style={{ textAlign: "left" }}>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        Field

        #
      </td>

      <td style={{ textAlign: "left" }}>
        Field name
      </td>

      <td style={{ textAlign: "left" }}>
        Description
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        1
      </td>

      <td style={{ textAlign: "left" }}>
        transactionReference
      </td>

      <td style={{ textAlign: "left" }}>
        Unique transaction reference
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        2
      </td>

      <td style={{ textAlign: "left" }}>
        responseCode
      </td>

      <td style={{ textAlign: "left" }}>
        The response code of the transaction see appendix for response code details
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        3
      </td>

      <td style={{ textAlign: "left" }}>
        responseMessage
      </td>

      <td style={{ textAlign: "left" }}>
        The descriptive response message
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        4
      </td>

      <td style={{ textAlign: "left" }}>
        status
      </td>

      <td style={{ textAlign: "left" }}>
        The status of the transaction. See transaction status appendix. Use the status mappings to determine if the transaction succeeded or not.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        5
      </td>

      <td style={{ textAlign: "left" }}>
        clientRef
      </td>

      <td style={{ textAlign: "left" }}>
        The transaction client reference
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        6
      </td>

      <td style={{ textAlign: "left" }}>
        systemResponseCode
      </td>

      <td style={{ textAlign: "left" }}>
        System Response code that is sometimes included in response in case of exceptions in the system. This helps with issue resolution.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        7
      </td>

      <td style={{ textAlign: "left" }}>
        settlementStatus
      </td>

      <td style={{ textAlign: "left" }}>
        Settlement status of the credit transaction
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "transfer-service",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://isw-transfer-service-core-microservice.k8.isw.la"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/transfers/accounts/credits/completion": {
      "post": {
        "summary": "Account Credit Request",
        "description": "This endpoint receives a request to close an open credit inquiry by performing the credit transaction. The credit inquiry to be closed is contained in the clientRef field or transactionReference field. The transactionAmount to be credited is also included in the request. The request is processed and routed to the destination institution to effect the credit. The credit request is pushed for processing and a response is sent back to the calling application.",
        "operationId": "account-credit-request-with-credit-inquiry-reference-or-transaction-reference",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "Bearer {Passport Access Token}"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "Content-Type"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "transactionAmount",
                  "narration"
                ],
                "properties": {
                  "transactionAmount": {
                    "type": "integer",
                    "description": "Amount in minor denomination",
                    "format": "int64"
                  },
                  "narration": {
                    "type": "string",
                    "description": "Narration"
                  },
                  "clientRef": {
                    "type": "string",
                    "description": "Unique reference per client. If present in inquiry, should be the same. if absent, transaction reference must be present in request"
                  },
                  "additionalInfo": {
                    "type": "string",
                    "description": "Additional Information. Could contain initial debit details (e.g mobile app implementation)"
                  },
                  "transactionReference": {
                    "type": "string",
                    "description": "Transaction Reference returned from credit inquiry. If absent, credit ref must be present in request"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n\"responseCode\": \"00\", \n\"transactionReference\": \"CR|FBN|DMD|28032019102410|4237\", \n\"responseMessage\": \"Approved by financial institution\", \n\"status\": \"SUCCESS\", \n\"clientRef\": \"1234-5678\" ,\n\"settlementStatus\": \"SUCCESSFUL\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "responseCode": {
                      "type": "string",
                      "example": "00"
                    },
                    "transactionReference": {
                      "type": "string",
                      "example": "CR|FBN|DMD|28032019102410|4237"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Approved by financial institution"
                    },
                    "status": {
                      "type": "string",
                      "example": "SUCCESS"
                    },
                    "clientRef": {
                      "type": "string",
                      "example": "1234-5678"
                    },
                    "settlementStatus": {
                      "type": "string",
                      "example": "SUCCESSFUL"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl https://isw-transfer-service-core-microservice.k8.isw.la/accounts/credits/completion \\\n-H \"Authorization:Bearer {Passport Access Token}\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\n\"transactionAmount\": 300000, \n\"clientRef\" : \"abc1222223knkj\",\n\"transactionReference\": \"CR|SUN|ABP|250720201707|237233\", \n \"additionalInfo\":\"{\\\"sourceBvn\\\":\\\"1111111\\\",\\\"sourceKycLevel\\\":\\\"1\\\"}\",\n\"narration\": \"For your wedding\"\n}' \n-X POST"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```